# $Revision: 1.17 $, $Date: 2006/11/26 13:54:11 $
# TODO
# - use webapps
# warning: Installed (but unpackaged) file(s) found:
#   /etc/netmrg.conf
Summary:	Network Monitoring package using PHP, MySQL, and RRDtool
Summary(pl):	Monitor sieci uywajcy PHP, MySQL i RRDtool
Name:		netmrg
Version:	0.19
Release:	2
License:	MIT
Group:		Applications/Networking
Source0:	http://www.netmrg.net/download/devel/%{name}-%{version}.tar.gz
# Source0-md5:	a380390425f8f97cadaee3809042ca51
Source1:	%{name}-httpd.conf
Source2:	%{name}-cron
Patch0:		%{name}-config.patch
URL:		http://www.netmrg.net/
BuildRequires:	automake
BuildRequires:	libxml2-devel
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rrdtool-devel >= 1.2.10
Requires:	libxml2
Requires:	php(mysql)
Requires:	rrdtool >= 1.2.10
Requires:	webserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir		/var/lib/%{name}
%define		_wwwuser		http
%define		_wwwgroup		http
%define		_wwwrootdir		%{_datadir}/%{name}/webfiles

%description
NetMRG is a tool for network monitoring, reporting, and graphing.
Based on RRDTOOL, the best of open source graphing systems, NetMRG is
capable of creating graphs of any parameter of your network.

%description -l pl
NetMRG suy do monitorowania sieci, raportowania i krelenia
wykresw. Jest on oparty na RRDTOOL, najlepszym spord systemw
graficznych o dostpnym kodzie rdowym. NetMRG potrafi tworzy
wykresy przedstawiajce dowolne parametry sieci.

%prep
%setup -q
%patch0 -p1

%build
install /usr/share/automake/config.* .
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-snmp-lib-dir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_wwwrootdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/%{name}.conf
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}
mv -f $RPM_BUILD_ROOT/var/www/%{name} $RPM_BUILD_ROOT%{_wwwrootdir}/%{name}
touch $RPM_BUILD_ROOT/var/log/%{name}/lastrun.err
touch $RPM_BUILD_ROOT/var/log/%{name}/lastrun.log
touch $RPM_BUILD_ROOT/var/log/%{name}/runtime

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/httpd/httpd.conf ] && ! grep -q "^Include.*%{name}.conf" /etc/httpd/httpd.conf; then
	echo "Include /etc/httpd/%{name}.conf" >> /etc/httpd/httpd.conf
elif [ -d /etc/httpd/httpd.conf ]; then
	mv -f /etc/httpd/%{name}.conf /etc/httpd/httpd.conf/99_%{name}.conf
fi
%service httpd reload
%service crond restart
if [ -f /var/lock/subsys/crond ]; then
	/etc/rc.d/init.d/crond restart 1>&2
fi
echo "Before first run read %{_docdir}/%{name}-%{version}/INSTALL how to put
%{_datadir}/netmrg/db/netmrg.mysql in your mysql server"


%preun
if [ "$1" = "0" ]; then
	umask 027
	if [ -d /etc/httpd/httpd.conf ]; then
		rm -f /etc/httpd/httpd.conf/99_%{name}.conf
	else
		grep -v "^Include.*%{name}.conf" /etc/httpd/httpd.conf > \
			etc/httpd/httpd.conf.tmp
		mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
		%service httpd reload
	fi
fi

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%attr(640,root,root) /etc/cron.d/netmrg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/netmrg.xml
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd/%{name}.conf
%attr(755,root,root) %{_bindir}/netmrg-gatherer
%attr(755,root,root) %{_bindir}/rrdedit
%{_datadir}/%{name}
%dir %{_pkglibdir}
%attr(700,http,http) %dir %{_pkglibdir}/rrd
%attr(700,http,http) %{_pkglibdir}/rrd/*
%attr(770,http,http) %dir /var/log/netmrg
%attr(660,http,http) /var/log/netmrg/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netmrg.spec,v $
Revision 1.17  2006/11/26 13:54:11  glen
- rel 2

Revision 1.16  2006/11/26 13:25:03  glen
- rel 1: use php(extension) virtuals

Revision 1.15  2006/04/10 12:35:53  luzik
- updated to 0.19

Revision 1.14  2006/01/04 14:28:54  glen
- use %service to respect skip auto restarts of services

Revision 1.13  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.12  2005/11/23 19:51:43  luzik
 - updated to snap 2005.11.23

Revision 1.11  2005/10/14 19:54:21  arekm
- pass libdir for snmp libs

Revision 1.10  2005/10/14 19:49:40  arekm
- fix amd64

Revision 1.9  2005/10/14 19:42:08  arekm
- rebuild with new rrdtool

Revision 1.8  2005/07/27 08:58:03  luzik
- updated to 050727 snap
- repaired spec file log
- moved webfiles to datadir
- added crond restart
- doesn't build with rrdtool >= 1.2 (rrdtool issue)

Revision 1.7  2004/11/23 13:03:38  luzik
- updated to 0.18.2
- rel. 1

Revision 1.6  2004/06/30 15:11:43  luzik
- updated to 0.16

Revision 1.5  2004/02/18 08:29:17  blues
- small fixes

Revision 1.4  2004/02/17 15:02:59  mwinkler
- fixes for apache1

Revision 1.3  2004/02/17 11:23:24  ankry
- fixed bogus changelog

Revision 1.2  2004/02/17 11:22:03  ankry
- more complete pl description

Revision 1.1  2004/02/17 10:18:53  luzik
- initial release
